/*! @file ProgressIndicator.swift
 *
 *  @copyright
 *  Copyright © 2018 Veeva Systems, Inc. All rights reserved.
 */
import Foundation
import UIKit

class ProgressIndicator {
    static func addProgressIndicator(toView view: UIView) -> UIActivityIndicatorView {
        let indicator = createIndicator(bounds: view.bounds)
        addProgressIndicator(indicator, view: view)
        return indicator
    }
    
    static func removeProgressIndicator(_ indicator: UIActivityIndicatorView) {
        indicator.stopAnimating()
        indicator.removeFromSuperview()
    }
    
    private static func createIndicator(bounds: CGRect) -> UIActivityIndicatorView {
        let indicator = UIActivityIndicatorView(activityIndicatorStyle: .gray)
        indicator.frame = bounds
        indicator.color = UIColor.veevaOrange
        return indicator
    }
    
    private static func addProgressIndicator(_ indicator: UIActivityIndicatorView, view: UIView) {
        view.addSubview(indicator)
        view.bringSubview(toFront: indicator)
        indicator.startAnimating()
    }
}
