/*! @file VaultAPI.swift
 *
 *  @copyright
 *  Copyright © 2018 Veeva Systems, Inc. All rights reserved.
 */

import Foundation
import VaultMobileSDK

class VaultAPI {

    static func getDocumentVersions(from vault : VEVVault, for documentId : Int, completion : @escaping (([Dictionary<String,Any?>]?, NSError?) -> ())) {
        VEVVaultAPI.sharedInstance().requestVaultEndpoint("objects/documents/\(documentId)/versions", vault: vault, method: .GET, parameters: nil, parameterEncoding: VEVParameterEncoding.VEVFormURLEncoding) { (response, error) in
            let documents = response?["versions"] as? [Dictionary<String,Any?>]
            completion(documents,error as NSError?)
        }
        
    }
    
    static func downloadDocument(from vault : VEVVault, documentId : Int, fileURL : URL, progressHandler : VEVVaultAPIProgressHandler?, completion : @escaping VEVVaultAPIDownloadResultHandler) {
        try? FileManager.default.removeItem(at: fileURL)
        VEVVaultAPI.sharedInstance().requestVaultDownloadFileEndpoint("objects/documents/\(documentId)/renditions/viewable_rendition__v", vault: vault, fileURL: fileURL, encrypt: true, parameters: nil, progressHandler: progressHandler, completionHandler: completion)
    }

    static func query(_ request: VEVVaultServerRequest, completeHandler cHandler: @escaping VEVVaultAPIResponseHandler) {
        VEVVaultAPI.sharedInstance().query(request, completeHandler: cHandler)
    }
}
