/*! @file DocumentListCell.swift
 *
 *  @copyright
 *  Copyright © 2018 Veeva Systems, Inc. All rights reserved.
 */

import UIKit
import VaultMobileSDK

class DocumentListCell: UITableViewCell {
    @IBOutlet weak var title: UILabel!
    @IBOutlet weak var subtitle1: UILabel!

    @IBOutlet weak var thumbnailView: ThumbnailView!
    override func awakeFromNib() {
        super.awakeFromNib()
        selectionStyle = .none
    }
    
    func configureCell(document: DocumentMetadata, vault : VEVVault) {
        title.text = "\(document.name ?? "") (v\(document.version))"
        subtitle1.text = document.status
        thumbnailView.setPlaceOfAppearance(.inDocumentList)
        thumbnailView.setupThumbnailView(document: document, vault: vault)
    }
    
    override func prepareForReuse() {
        thumbnailView.setCachedStatus(isCached: false)
        thumbnailView.image.image = nil
    }
}
