/*! @file DocumentsListModel.swift
 *
 *  @copyright
 *  Copyright © 2018 Veeva Systems, Inc. All rights reserved.
 */

import Foundation
import VaultMobileSDK

class DocumentsListModel {
    var responses = [[AnyHashable : Any]]()
    var vaultServerQuery : VEVVaultServerRequest?
    var currentlyExecutingQuery : VEVVaultServerRequest?
    var vaultLocalQuery : VEVVaultLocalQuery?
    var vault : VEVVault!
    var currentTabBarSelection : VaultTabBarItem!
    var showLoadingCell = true
    var currentMode = VEVVaultDocumentsListMode.ServerMode
    
    init(vault : VEVVault, currentTabBarSelection : VaultTabBarItem){
        self.vault = vault
        self.currentTabBarSelection = currentTabBarSelection
    }
}

enum VEVVaultDocumentsListMode {
    case ServerMode
    case SavedLocally
}

enum VaultTabBarItem : Int {
    case Browse = 0
    case Recents = 1
    case MyDocuments = 2
    case Favorites = 3
}
