/*! @file LoginViewController.swift
 *
 *  @copyright
 *  Copyright © 2018 Veeva Systems, Inc. All rights reserved.
 */

import UIKit
import VaultMobileSDK

class LoginViewController: UIViewController {

    override func viewDidAppear(_ animated: Bool) {
        super.viewDidAppear(animated)
        if VEVVaultAuth.sharedInstance().currentUser != nil {
            navigateToDocumentList()
        } else {
            performAuth()
        }
    }
    
    fileprivate func performAuth() {
        VEVVaultAuth.sharedInstance().authenticate { (user, error) in
            if let e = error {
                print("Error occurred during login \(e.localizedDescription)")
            } else {
                self.navigateToDocumentList()
            }
        }
    }

    fileprivate func navigateToDocumentList() {
        if let firstVault = VEVVaultAuth.sharedInstance().currentUser?.vaults?.first {
            CacheManager.sharedInstance.createCacheDirectory(username: VEVVaultAuth.sharedInstance().currentUser?.username)
            UIRouter.navigateToDocumentList(vault: firstVault)
        } else {
            print("No vaults currently available")
        }
    }

}
