/*! @file MockCache.swift
 *
 *  @copyright
 *  Copyright © 2018 Veeva Systems, Inc. All rights reserved.
 */

import Foundation
import VaultMobileSDK

class MockSuccessCache : VEVVaultJSONCache {
    
    init(_: Void = ()){}
    
    override func query(_ query: VEVVaultLocalQuery, handler: VEVVaultJSONCacheQueryResultHandler? = nil) {
        handler?([VEVVaultJSONCacheEntryTest()],nil)
    }
    
    override func cache(_ jsonResponse: [[AnyHashable : Any]], vault: VEVVault, handler: VEVVaultJSONCacheCacheResponseResultHandler? = nil) {
    }
    
    override func removeEntries(_ entries: [VEVVaultCacheEntry], handler: VEVVaultCacheRemoveEntriesResultHandler? = nil) {
        handler?(nil)
    }
    
    override func removeAllEntries(_ handler: VEVVaultCacheRemoveAllEntriesResultHandler? = nil) {
        handler?(nil)
    }
    
    override open class func open(withName name: String, vault: VEVVault, fields: [VEVVaultJSONField]) -> MockSuccessCache {
        return MockSuccessCache()
    }
}

class MockFailureCache : VEVVaultJSONCache {
    
    init(_: Void = ()){}
    
    override func query(_ query: VEVVaultLocalQuery, handler: VEVVaultJSONCacheQueryResultHandler? = nil) {
        handler?(nil,NSError(domain: "DocumentViewer", code: -1, userInfo: nil))
    }
    
    override func cache(_ jsonResponse: [[AnyHashable : Any]], vault: VEVVault, handler: VEVVaultJSONCacheCacheResponseResultHandler? = nil) {
    }
    
    override func removeEntries(_ entries: [VEVVaultCacheEntry], handler: VEVVaultCacheRemoveEntriesResultHandler? = nil) {
        handler?(NSError(domain: "DocumentViewer", code: -1, userInfo: nil))
    }
    
    override func removeAllEntries(_ handler: VEVVaultCacheRemoveAllEntriesResultHandler? = nil) {
        handler?(NSError(domain: "DocumentViewer", code: -1, userInfo: nil))
    }
    
    override open class func open(withName name: String, vault: VEVVault, fields: [VEVVaultJSONField]) -> MockFailureCache {
        return MockFailureCache()
    }
}

