/*! @file MockViewModels.swift
 *
 *  @copyright
 *  Copyright © 2018 Veeva Systems, Inc. All rights reserved.
 */

import Foundation
import VaultMobileSDK
@testable import DocumentViewer
//These classes are used to mock out API responses for testing purposes

class DocumentsListViewModelAPIFailure : DocumentsListViewModel {
    override func runQuery(_ vaultQuery: VEVVaultServerRequest, _ completion: @escaping (VEVVaultAPIResponseHandler)) {
        completion(nil,NSError(domain: "TestFailure", code: 1, userInfo: nil))
    }
}

class DocumentsListViewModelAPISuccess : DocumentsListViewModel {
    override func runQuery(_ vaultQuery: VEVVaultServerRequest, _ completion: @escaping (VEVVaultAPIResponseHandler)) {
        completion(["documents" : [["document": ["id" : 0]]]], nil)
    }
    
}
