/*! @file StringExtensionsTest.swift
 *
 *  @copyright
 *  Copyright © 2018 Veeva Systems, Inc. All rights reserved.
 */

import XCTest
@testable import DocumentViewer

class StringExtensionsTest : XCTestCase {
    
    func testEmptyFromFormat() {
        let testString = "2018-02-06T22:14:32.256Z"
        let formattedString = testString.formatDateString(fromFormat: "", toFormat: "MM/dd/yyyy")
        XCTAssert(formattedString == nil, "Format failure")
    }
    
    func testEmptyToFormat() {
        let testString = "2018-02-06T22:14:32.256Z"
        let formattedString = testString.formatDateString(fromFormat: "yyyy-MM-dd'T'HH:mm:ss.SSSZ", toFormat: "")
        XCTAssertEqual(formattedString, "")
    }
    
    func testFormatDateString() {
        let testString = "2018-02-06T22:14:32.256Z"
        let formattedString = testString.formatDateString(fromFormat: "yyyy-MM-dd'T'HH:mm:ss.SSSZ", toFormat: "MM/dd/yyyy")
        XCTAssert(formattedString == "02/06/2018", "Format failure")
    }
    
    
}
