/*! @file VEVVaultAuthInternal.h
 *
 *  @copyright
 *  Copyright © 2017 Veeva Systems, Inc. All rights reserved.
 */

#import <Foundation/Foundation.h>

#import "VEVVaultAuth.h"

NS_ASSUME_NONNULL_BEGIN

/*! @brief This class is intended for internal use only.
 */
@interface VEVVaultAuthInternal : NSObject

@property (strong, nonatomic) NSString* authDNS;

+ (instancetype)sharedInstance;

- (nullable VEVVault*)vaultWithId:(NSUInteger)vaultId
							error:(NSError**)error;

- (void)invalidateSession;

- (void)authenticateWithUsername:(NSString*)username
						password:(NSString*)password
						 handler:(nullable VEVVaultAuthLoginResultHandler)handler;

@end

NS_ASSUME_NONNULL_END
