/*! @file VEVVaultJSONCacheEntry.h
 *  @copyright
 *  Copyright © 2018 Veeva Systems, Inc. All rights reserved.
 */

#import "VEVVaultCacheEntry.h"

NS_ASSUME_NONNULL_BEGIN
/*! @brief Instances of this class represent a JSON response stored in
 *  a VEVVaultJSONCache. Instances are returned via callback when
 *  caching JSON responses and when querying for responses.
 *
 *  @see VEVVaultJSONCache::cache:vault:handler:
 *  @see VEVVaultJSONCache::query:handler:
 */
@interface VEVVaultJSONCacheEntry : VEVVaultCacheEntry

/*! @brief The JSON response associated with this cache entry.
 */
@property (nonatomic, readonly) NSDictionary * json;

/*! @brief Used for subscripting. This method returns the value in the
 *  underlying JSON response associated with the given key.
*/
- (id)objectForKeyedSubscript:(NSString *)key;

@end
NS_ASSUME_NONNULL_END
